##### basic_socket_acceptor::basic_socket_acceptor (4 of 6 overloads)

Construct a `basic_socket_acceptor` on an existing native acceptor.

    basic_socket_acceptor(
        asio::io_context & io_context,
        const protocol_type & protocol,
        const native_handle_type & native_acceptor);

This constructor creates an acceptor object to hold an existing native acceptor.

###### Parameters

io_context

  The `io_context` object that the acceptor will use to dispatch handlers for any asynchronous operations performed on the acceptor.

protocol

  An object specifying protocol parameters to be used.

native_acceptor

  A native acceptor.

###### Exceptions

asio::system_error

  Thrown on failure.